function C = reciprocal_contacts (home, work, school, other, pop)
% this functions calculates the reciprocal contact matrices considering the
% populatin of any area by age (5yr age gaps)
for i = 1:16
    for j = 1:16
        C.home.wk(i, j) = 0.5*(home.wk(i,j)+ home.wk(j,i)*pop(i)/pop(j));
        C.work.wk(i, j) = 0.5*(work.wk(i,j)+ work.wk(j,i)*pop(i)/pop(j));
        C.school.wk(i, j) = 0.5*(school.wk(i,j)+ school.wk(j,i)*pop(i)/pop(j));
        C.other.wk(i, j) = 0.5*(other.wk(i,j)+ other.wk(j,i)*pop(i)/pop(j));
        %weekend
        C.home.wknd(i, j) = 0.5*(home.wknd(i,j)+ home.wknd(j,i)*pop(i)/pop(j));
        C.work.wknd(i, j) = 0.5*(work.wknd(i,j)+ work.wknd(j,i)*pop(i)/pop(j));
        C.school.wknd(i, j) = 0.5*(school.wknd(i,j)+ school.wknd(j,i)*pop(i)/pop(j));
        C.other.wknd(i, j) = 0.5*(other.wknd(i,j)+ other.wknd(j,i)*pop(i)/pop(j));
    end
end