function [Taui, tc_b4ld] = social_bahaviour (C , R0, exits )

% this findction calculates the social behaviour considering Tau i
% using contact matrices and estimated R0 values before and after lock down

tc_b4ld = (C.home.wk+ C.school.wk+C.work.wk+C.other.wk)*5 +(C.home.wknd+C.school.wknd+ C.work.wknd+C.other.wknd)*2;
tc_b4ld = tc_b4ld/7; % average daily total contacts before lockdown
tot_tcb4ld = sum(tc_b4ld(:));
aa_afld = 2.58;
h = C.work.wk(4:15 , 4:15) * exits(1)*aa_afld;
h1 = zeros(16, 16) ;
h1(4:15, 4:15) = h;
h_wknd = C.work.wknd(4:15 , 4:15) * exits(1);
h1_wknd = zeros(16, 16);
h1_wknd(4:15 , 4:15) = h_wknd;
tc_afld = (C.home.wk +h1)*5 + (C.home.wknd+ h1_wknd)*2; 
clear h h1 h_wknd h1_wknd
tc_afld = tc_afld/7; % total ocntacts after lockdown
tot_tcafld = sum(tc_afld(:)); % average daily total contacts after lockdown


R0_b4ld = (R0(1:47));
R0_afld = (R0(48:end));

taui = [R0_b4ld./tot_tcb4ld ; R0_afld./tot_tcafld]* 0.5338 ; %0.5338;
taui (taui==0) = NaN;
Taui = [ nanmedian(taui(1:34)) , nanmedian(taui(62:end)) ];
Taui = mean (Taui')';